
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define nacitaj(a) (scanf("%d", a), a)
#define nacitajs(a) (scanf("%s", a), a)

typedef struct PRVOK{
  char cislo[5];
  double suma;
  struct PRVOK* next;
}prvok;

int load()
{
  int a;
  scanf("%d", &a);
  return a;
}

int main(void)
{
  int pocet_uctov, i;
  struct PRVOK* pole[10];
	  int b;
	  char c_u[5];
	  double s;
	  struct PRVOK* pom;
  
    while ((pocet_uctov=load())!=0)
    {
      for (i=0;i<10;i++)
	{
	  pole[i] = NULL;
	}
      
      for (i=0;i<pocet_uctov;i++)
	{
	  scanf("%4s/%d %lf", c_u, &b, &s);
	  

	  pom = (struct PRVOK*) malloc(sizeof(struct PRVOK));
	  strcpy(pom->cislo, c_u);
	  pom->suma = s;
	  pom->next = NULL;

	  if (pole[b]==NULL) pole[b] = pom;
	  else
	    {
	      struct PRVOK* pom2;
	      pom2 = pole[b];
	    while(pom2->next!=NULL) pom2 = pom2->next;
	    pom2->next = pom;
	    }
	}


#ifdef BUG
      printf("%s\n", pom->cislo);
      printf("%f\n", pom->suma);
      if (!pom->next) printf("NULL\n");
#endif  

      char prikaz[20];
      

      while (strcmp(nacitajs(prikaz), "end"))
	{
	  switch (prikaz[0])
	    {
	    case 'w':
	      scanf("%4s/%d %lf", c_u,&b, &s);
	      printf("withdraw %.2f: ", s);
	      pom = pole[b];

	      

	      if (pom!=NULL)
		{
		  while ( (strcmp(pom->cislo, c_u)) && (pom->next!=NULL)) pom = pom->next;

		  if (pom->next==NULL)
		    {
		      printf("no such account\n");
		    }else if  (pom->suma<s)
		    {
		      printf("insufficient funds\n");
		    }else
		    {
		      printf("ok\n");
		      pom->suma -= s;
		    }
		}else printf("no such account\n");
		
	      break;
	    case 'd':
	   	      scanf("%4s/%d %lf", c_u,&b, &s);
	      printf("deposit %.2f: ", s);
	      pom = pole[b];

	      

	      if (pom!=NULL)
		{
		  while ( (strcmp(pom->cislo, c_u)) && (pom->next!=NULL)) pom = pom->next;

		  if (pom->next==NULL)
		    {
		      printf("no such account\n");
		    }else 
		    {
		      printf("ok\n");
		      pom->suma += s;
		    }
		}else printf("no such account\n");   
	      break;
	    case 'c':
	      scanf("%4s/%d", c_u, &b);
	      printf("create: ");
	      pom = pole[b];

	      
	      if (pom!=NULL)
		{
		  while ( (strcmp(pom->cislo, c_u)) && (pom->next!=NULL)) pom = pom->next;
		  if (pom==NULL)
		    {
		printf("ok\n");
		struct PRVOK* pom2;
	  pom2 = (struct PRVOK*) malloc(sizeof(struct PRVOK));
	  strcpy(pom2->cislo, c_u);
	  pom2->suma = 0.0;
	  pom2->next = NULL;
	  pom->next = pom2;
		    } else printf("already exists\n");  
		}

	      else {
		printf("ok\n");
	  pole[b] = (struct PRVOK*) malloc(sizeof(struct PRVOK));
	  strcpy(pole[b]->cislo, c_u);
	  pole[b]->suma = 0.0;
	  pole[b]->next = NULL;		
	      }
	      break;
	    case 't':
		struct PRVOK* u1;
		struct PRVOK* u2;
		char source[5], ciel[5];
		int b1, b2;
		double sum;
		
		scanf("%4s/%d %4s/%d %lf", source, &b1, ciel, &b2, &sum);

		u1 = pole[b1];
		u2 = pole[b2];

		 while ( (strcmp(u1->cislo, source)) && (u1->next!=NULL)) u1 = u1->next;
		 while ( (strcmp(u2->cislo, ciel)) && (u2->next!=NULL)) u2 = u2->next;
		 printf("account: ");
		 if (u1==NULL || u2==NULL)
		   {
		     printf("no such account\n");
		   }else
		   {
		     if (u1==u2 && b1==b2)
		       {
			 printf("same account\n");
		       }
		   }
		 
	      break;
	    }
	}
      printf("end\n\n");
    }
  printf("goodbye");
  return 0;
}
